import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { TypeNode } from "./TypeNode";
export declare class TSUndefinedKeyword extends TypeNode {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createTSUndefinedKeyword(): TSUndefinedKeyword;
    static updateTSUndefinedKeyword(original?: TSUndefinedKeyword): TSUndefinedKeyword;
    protected readonly brandTSUndefinedKeyword: undefined;
}
export declare function isTSUndefinedKeyword(node: object | undefined): node is TSUndefinedKeyword;
